Page 1 of 1

[Solved] Error: Could not create Java implementation loader

PostPosted: Tue Mar 01, 2011 2:36 pm
by Nocton
I have recently updated to OO 3.3.0. I then updated the Oracle Report Builder 1.2.1 to rev 2 - see viewtopic.php?f=6&t=38591. This has worked fine on two PCs, one running Windows XP and one Windows 7.
I have just now tried to do the same thing on another user's PC, running Windows 7, and get the error: "Could not create Java implementation loader".
Looking in this forum and more generally on the web, this problem has been seen before. However, none of the solutions offered have solved the problem for the user. The JRE is 1.6.0_24.
It is very frustrating as the updater seems to have partially overwritten the earlier version of the extension, so that neither the old version nor the new can be used, meaning that no reports can be created.
Has anyone got a solution to this problem, please?

Nocton

Re: Error: Could not create Java implementation loader

PostPosted: Tue Mar 01, 2011 5:31 pm
by Hagar Delest
Does it help: [Solved] Unable to install the eVoice extension?

Please add '[Solved]' at beginning of your first post title (edit button) if your issue has been fixed.

Re: Error: Could not create Java implementation loader

PostPosted: Tue Mar 01, 2011 7:29 pm
by Nocton
No, Hagar, I have checked and that is not the problem.
One point of difference I note between a PC where everything works OK and the one with the problem:
In the Java section of OO Tools, in the list of 'Java runtime environments already installed' none are checked in the PCs that are OK, but in the problem PC the first one is checked - it is 1.6.0_24, which is the latest version of Java. There seems no way to uncheck all the JREs to make it like the other PCS. Is this important/relevant?

Nocton

Re: Error: Could not create Java implementation loader

PostPosted: Tue Mar 01, 2011 7:38 pm
by RoryOF
On the top of the /Tools / Options / .... / Java screen. untick the check box at the top to "Use a Java runtime environment". You may need to restart OpenOffice (including Quickstarter) to be sure that this has taken.

Re: Error: Could not create Java implementation loader

PostPosted: Tue Mar 01, 2011 8:22 pm
by Nocton
On the top of the /Tools / Options / .... / Java screen. untick the check box at the top to "Use a Java runtime environment".


This was a solution I read about on an earlier post. I have tried it, but it did not have any effect. Maybe I did not do it correctly. After unticking the check box, what should I do next? Following the earlier post I restarted OO and ticked the check box again.

Nocton

Re: Error: Could not create Java implementation loader

PostPosted: Tue Mar 01, 2011 8:27 pm
by RoryOF
I'd restart OOo with the checkbox unticked, and see if that solved the problem.

Re: Error: Could not create Java implementation loader

PostPosted: Tue Mar 01, 2011 8:36 pm
by Nocton
I am not at present able to access the problem PC, but on my/working PC without JRE ticked no reports can run without error and the SWITCHBOARD menu does not work either.
I don't see why it should make any difference, but I should perhaps have said that I am running a server mode system with data and program files separated.

Nocton

Re: Error: Could not create Java implementation loader

PostPosted: Fri Mar 04, 2011 4:45 pm
by wdonne
I have the same issue with the ODFToEPub extension, which needs Java. I use the JRE 1.6.0_22 that comes with OOo 3.3, but that doesn't change anything.

Best regards,

Werner.

Re: Error: Could not create Java implementation loader

PostPosted: Mon Mar 07, 2011 5:47 pm
by pavel
I had the same issue with OpenOffice 3.3 and Itadaki extension. Switched back to 3.2.1 and it works fine now. Hope it gets fixed.

Re: Error: Could not create Java implementation loader

PostPosted: Wed Mar 09, 2011 10:34 am
by Nocton
I have now had time to get to the other user's PC and investigate the problem in the light of the comments received.
To recap the problem, I had upgraded the PC from 3.2.1 to 3.3.0 and then tried to update Oracle Report Builder from 1.2.1 to 1.2.1 rev 2. At that point I got the "Could not create Java implementation loader" error and could neither update the extension nor remove it, nor would the old extension work - so no reports could be run from the database.

Unchecking and checking "Use a Java runtime environment" and exiting OO did not solve the problem. Provided that I rebooted after unchecking, I could then remove the Oracle Report extension. But when I tried to reload it the error appeared again.

I solved the problem by uninstalling OO 3.3.0, rebooting and then reinstalling. All my extensions were automatically picked up and installed, included Oracle report Builder. So pavel's solution of reverting to 3.2.1 was probably successful not because of reverting to 3.2.1 but because of reinstalling OO.

Regards and thank you for all advice

Nocton

Re: [Solved] Error: Could not create Java implementation loa

PostPosted: Wed Mar 09, 2011 8:37 pm
by wdonne
That didn't change anything for me. I then reverted to 3.2.1 and now I can't install any extension. It says:

"This media-type is not supported: application/vnd.sun.star.package-bundle1.30"

Werner.

Re: [Solved] Error: Could not create Java implementation loa

PostPosted: Wed Apr 06, 2011 5:27 pm
by depkelaw
I'm getting the same "This media type is not supported..." error. The error pops up right after the downloading of the extension is complete. Some more facts and background: I had successfully installed the extension on the newly released OO 3.3 (although I never got around to trying it out). In an attempt to eliminate instability in my database arising after the installation of 3.3, I rolled back to 3.2.0. This is where I'm at right now. I tried an earlier version of the extension too, but received the same "This media type is not supported..." error. The complete error message is.. "This media-type is not supported: application/vnd.sun.star.package-bundle1.2.10"

Re: [Solved] Error: Could not create Java implementation loa

PostPosted: Tue Jul 19, 2011 6:40 am
by Initial G
Hope this helps in some way
I had the same prob, installed on 1 pc, worked fine
second pc, report builder didnt install correctly

started following the solutions (older oOo version, copy 3 folder from one to another), that didnt work

Then I removed all JAVA runtimes (at one moment I had version 1,18, 1,22 and 1,26 installed aparently), re-installed oOo 3.3 and JRE 6 update 22 and it worked straight from install.
So what I figure is it isnt a prob with oOo, but with the newest JRE version?
(But then, I could be wrong, as I am not a programmer)

ps: I am running on XP Pro SP3

Re: [Solved] Error: Could not create Java implementation loa

PostPosted: Tue Jul 19, 2011 9:32 am
by Nocton
Possibly, you are right Initial G, but I am running Java 1.24. But I think your complete reinstall of OO, as I did to solve the problem, is probably the real answer.

Re: [Solved] Error: Could not create Java implementation loa

PostPosted: Tue Sep 13, 2011 8:21 am
by BillllySamotar
Really final:
1) Install Java JRE (now 1.27)
2) Install OpenOffice 3.2
3) On the top of the /Tools / Options / .... / Java -> check box at the top to "Use a Java runtime environment"
4) Install Oracle Report Builder 1.2.1 to rev 2
5) Install OpenOffice 3.3.0 (no uninstall v 3.2)
6) Run Oo - check "Oracle Report Builder 1.2.1 to rev 2" -> Run
Finish. All good.

My OS Windows 7, Java JRE_1.27, OpenOffice 3.3.0 and Oracle Report Builder 1.2.1 to rev 2 -> ready all.

Re: [Solved] Error: Could not create Java implementation loa

PostPosted: Thu Sep 22, 2011 1:21 pm
by rcooper4
I experienced the same problem. I spent many hours trying to rectify it to no avail. Report Writer was fine on two PC's running XP but I just couldn't get it to work on Windows 7. After many frustrating hours I gave up and installed LibreOffice. Problem fixed. It runs on every machine without any tweaking.

Re: [Solved] Error: Could not create Java implementation loa

PostPosted: Tue Aug 28, 2012 12:13 am
by Mike9179
Man, what a great idea - replace this bugged, file missing, unworkable software with LibreOffice.
I've been screwing around with this thing for over 6 hours now & no matter what I do it won't work.
The word processor is fine but that data base without a report generator is the major problem.
Why not include Java & report in the main program if this is giving us all the fits?
I refuse to uninstall it (and java) just to install it again to see if it works.
Better to uninstall this and install Libre.
Thanks for the tip - I'll pass it along.
Mike

Re: [Solved] Error: Could not create Java implementation loa

PostPosted: Fri Sep 07, 2012 4:46 pm
by outthere
yeah java error... sigh... looks like oo has issues linking to the installed java on the computer

so i clicked on tools/options and under the openoffice.org i expanded the selection
then clicked on Java which showed as emply in the environments box to the right
then clicked on the Add button to the right which populated the various java environments i have on this computer
selected the latest oracle corporation which is 1.7.0_07 and then clicked ok... restarted oo a few times and no more java error

gl ppl

edit***
restarted oo a few times to see if it was a fluke/test and each time i restarted oo there was no java error